System.Design 2.0.0.0 System.Object

provides a base class that can be inherited from and extended to display a formatted custom Web server control at design time in a visual designer tool such as vsprvslong.

A control developer provides automatic formatting in order to help developers who use the control to select a preferred display. A custom object works with a custom control designer to provide automatic formatting at design time for a custom control. For example, the control provides a variety of formats that can be applied by a developer at design time.

To implement automatic formatting for a custom control:

Create the custom control.

Derive a designer class from the class or another designer class that is appropriate for your control, such as the .

Derive a format class from the class that formats your custom control by overriding the method.

In your designer class, populate the property, which is a object, with one instance of your format class for each named format that your designer can apply.

The class provides the following members to support automatic formatting at design time:

The method, which applies the named format to the specified control.

The method, which provides a copy of the control for previewing in an AutoFormat dialog box of a visual designer such as vsprvslong.

The property, which provides the text to display in a list of formats in a visual designer.

Provides the abstract base class for creating formats that can be applied to a custom Web server control at design time.

- Constructor
  2.0.0.0

  Use the constructor to create a new format and add it to a collection that is represented by the property of a object.

  Initializes a new instance of the class.

  A string that identifies a specific object.
- Method
  2.0.0.0
  System.Void ``

  The method applies formatting to the specified control based on the property. You can apply the styles directly to the control, or set the property and then use the method for the control to apply the style changes to the control.

  Applies the associated formatting to the specified control.

  A Web server control to apply the formatting to.
- Method
  2.0.0.0
  System.Web.UI.Control ``

  The method is used by visual designers, such as vsprvslong, in an AutoFormat dialog box to display a formatted run-time preview of the control at design time before applying the format to the actual control.

  Regardless of the setting of the attribute for the object, the method returns a copy of the control in the parameter.

  Returns a copy of the associated control in order to provide a preview before applying the format to the control.

  The method returns a copy of the associated Web server control.

  A run-time version of the Web server control.
- Property
  2.0.0.0
  System.String To be added.

  A visual designer, such as vsprvslong, uses the property from each object in the collection of a to create a list of available automatic style formats.

  Gets the name of a object.

- Property
  2.0.0.0
  System.Web.UI.Design.DesignerAutoFormatStyle To be added.

  Although the object returned by the property is read-only, each individual property that it contains can be set. For example, you can set the or property of the object.

  Gets a object that is used by the object to render a design-time preview of the associated control.

- Method
  2.0.0.0
  System.String

  The method returns a string that contains the value of the property of the object.

  Returns a string that represents the current object.

  The property of the current .